[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Getting Latest Mozilla RPMs

On Mon, 17 Jun 2003, Stephen Liu wrote:

> Hi Thomas,
> Thanks for your advice.
> I have following glibc packages running on my OS
> $ rpm -qa|grep glibc
> glibc-common-2.2.93-5
> glibc-kernheaders-2.4-7.20
> glibc-devel-2.2.93-5
> compat-glibc-6.2-
> glibc-2.2.93-5

These are old.  There are newer ones in
ftp://updates.redhat.com/8.0/en/os/i386/ and
ftp://updates.redhat.com/8.0/en/os/i686/.  They are already-built binary

You need to get the glibc-common and glibc-devel ones from the i386
directory and the glibc one from the i686 directory.  The others are OK as
they are.  So get these:


and put them in a single directory.  Make sure you *do not* have the i386
version of glibc-2.3.2-4.80.6 there. Then from that directory

	rpm -Fvh glibc*2.3.2-4.80.6.*

Then reboot.  Then I think you should be able to install the binary RPMs
for Mozilla from Rawhide.  In any case, you can then try to build from the

> On Tue, 2003-06-17 at 01:14, Thomas Dodd wrote:
> > >
> > Stephen Liu wrote:
> > > glibc-2.3.2-48.i686.rpm
> > > glibc-devel-2.3.2-4.80.i386.rpm
> > > glibc-common-2.3.2-48.i386.rpm
> >
> > You should have matchingf version of each.
> > I'm using the SRPM for mozilla, not rawhide.
> > I rebuilt the SRPM, with out problems.
> I am not quite familiar with the syntax/steps to install package from
> SRPM.  Whether following steps are correct?
> Example : Rebuild package "AAA-123.src.rpm"
> # rpm --rebuild AAA-123.src.rpm

In the case of Mozilla,

 # rpmbuild --rebuild mozilla-1.4-6.src.rpm

> # rpm -Uvh /usr/src/redhat/RPMS/i386/AAA-123.i386.rpm

 # rpm -Uvh /usr/src/redhat/RPMS/i386/mozilla*-1.4-6.i386.rpm

to install all Mozilla packages or

 # rpm -Fvh /usr/src/redhat/RPMS/i386/mozilla*-1.4-6.i386.rpm

to replace your current Mozilla packages, as there are multiple packages
for Mozilla.  Note that you need the rpmbuild RPM and all the development
tools to do this.  But I don't really see why the binary RPMs wouldn't
install with the updated glibc.

> - snip-
> > grab the SRPM for glibc and build all the corrct packages?
> Where can I download the same version of glibc SRPM?  Where is its
> official website?

Don't do this!  Install the Red Hat updated glibc RPMs as described above.

> > Trying to mix rawhide and RHL-8.0 is going to be tough.
> > I'd stiuck with the mozilla.org SRPMS and build localy.
> > You can try the RPMs from mozilla.org as well, but building you owns is
> > best.
> >
> > Note too that installing a newer mozilla will cause problems with galeon
> > if it's installed. I just 'rpm -e galeon' since I never use it.
> Noted with thanks.  I have following galeon running
> $ rpm -qa|grep galeon
> galeon-1.2.6-0.8.0
> I don't use galeon too.
> B.Regards
> Stephen

		Matthew Saltzman

Clemson University Math Sciences
mjs clemson edu

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]